package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.DeviceTypeEnum;
import com.ym.mec.biz.dal.enums.FeatureType;
import com.ym.mec.biz.dal.enums.HeardLevelEnum;
import com.ym.mec.util.date.DateUtil;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;
import java.time.DayOfWeek;
import java.time.LocalDate;

/**
 * 对应数据库表(sys_music_compare_record):
 */
public class SysMusicCompareRecord {

	/**  */
	private Long id;

	/** 行为编号 */
	private String behaviorId;
	
	/** 用户编号 */
	private Integer userId;
	
	/** 教程编号 */
	private Integer sysMusicScoreId;

	private HeardLevelEnum heardLevel;

	private String sysMusicScoreName;
	
	/** 评分数据 */
	private String scoreData;

	/** 总分 */
	private BigDecimal score;

	/** 音准 */
	private BigDecimal intonation;

	/** 节奏 */
	private BigDecimal cadence;

	/** 完成度 */
	private BigDecimal integrity;

	/** 录音文件地址 */
	private String recordFilePath;

	/** 周一日期 */
	private String monday = LocalDate.now().with(DateUtil.weekFields.dayOfWeek(), DayOfWeek.MONDAY.getValue()).toString();

	private FeatureType feature;
	
	/** 创建时间 */
	private java.util.Date createTime;

	private DeviceTypeEnum deviceType;

	private float playTime = 0;

	private String clientId;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}

	public String getBehaviorId() {
		return behaviorId;
	}

	public void setBehaviorId(String behaviorId) {
		this.behaviorId = behaviorId;
	}

	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}

	public String getClientId() {
		return clientId;
	}

	public void setClientId(String clientId) {
		this.clientId = clientId;
	}

	public HeardLevelEnum getHeardLevel() {
		return heardLevel;
	}

	public void setHeardLevel(HeardLevelEnum heardLevel) {
		this.heardLevel = heardLevel;
	}

	public void setSysMusicScoreId(Integer sysMusicScoreId){
		this.sysMusicScoreId = sysMusicScoreId;
	}
	
	public Integer getSysMusicScoreId(){
		return this.sysMusicScoreId;
	}

	public String getSysMusicScoreName() {
		return sysMusicScoreName;
	}

	public void setSysMusicScoreName(String sysMusicScoreName) {
		this.sysMusicScoreName = sysMusicScoreName;
	}

	public void setScoreData(String scoreData){
		this.scoreData = scoreData;
	}
	
	public String getScoreData(){
		return this.scoreData;
	}

	public BigDecimal getScore() {
		return score;
	}

	public void setScore(BigDecimal score) {
		this.score = score;
	}

	public BigDecimal getIntonation() {
		return intonation;
	}

	public void setIntonation(BigDecimal intonation) {
		this.intonation = intonation;
	}

	public BigDecimal getCadence() {
		return cadence;
	}

	public void setCadence(BigDecimal cadence) {
		this.cadence = cadence;
	}

	public BigDecimal getIntegrity() {
		return integrity;
	}

	public void setIntegrity(BigDecimal integrity) {
		this.integrity = integrity;
	}

	public String getRecordFilePath() {
		return recordFilePath;
	}

	public void setRecordFilePath(String recordFilePath) {
		this.recordFilePath = recordFilePath;
	}

	public DeviceTypeEnum getDeviceType() {
		return deviceType;
	}

	public void setDeviceType(DeviceTypeEnum deviceType) {
		this.deviceType = deviceType;
	}

	public float getPlayTime() {
		return playTime;
	}

	public void setPlayTime(float playTime) {
		this.playTime = playTime;
	}

	public String getMonday() {
		return monday;
	}

	public void setMonday(String monday) {
		this.monday = monday;
	}

	public FeatureType getFeature() {
		return feature;
	}

	public void setFeature(FeatureType feature) {
		this.feature = feature;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
